﻿@model eCommerce.UI.ViewModels.ProductDetailViewModel
@using eCommerce.UI.Utils

@{
    Layout = "~/Views/Shared/_LayoutMenu.cshtml";
    ViewBag.Title = Model.Product.MetaTitle;
    ViewBag.Description = Model.Product.MetaDescription;
}


<div id="single-product">
    <div class="container">
        <div class="col-xs-12 col-sm-6 col-md-5 gallery-holder product-detail">

            <div class="breadcrumb-product-detail">
                @for (int i = Model.Breadcrumb.Count-1; i >= 0; i--)
                {
                    <a href="/@Utility.CataloguePrefix/@Model.Breadcrumb[i].SeoUrl">@Model.Breadcrumb[i].Name </a><span style="margin: 0 5px;">@(i != 0 ? "/" : string.Empty)</span>
                }

            </div>

            <input type="hidden" id="SpecialPrice" value="@Model.Product.SpecialPrice">
            <input type="hidden" id="currentColor" value="@Model.ColorId">

            @if (Model.Product.OnSale)
            {
                <div class="ribbon red"><span>Sale</span></div>
            }

            @if (Model.Product.LastUnits)
            {
                <div class="ribbon red"><span>Últimas Unidades</span></div>
            }
           

            @if (Model.Product.Outstanding)
            {                                                                                                                                                                                                                                                                                                                                                                   
                <div class="ribbon green"><span>Destacado</span></div>
            }

            @if (Model.ShowMaxDiscount && Model.Product.MaxDiscount.HasValue && Model.Product.MaxDiscount.Value < Model.ActiveCoupon.Percentage)
            {
                if (Model.Product.MaxDiscount.Value == 0)
                {
                    <div class="ribbon dark-grey"><span>Producto en Oferta (no aplica cupón)</span></div>
                }
                else
                {
                    <div class="ribbon orange"><span>Descuento máx. @(Math.Floor(Model.Product.MaxDiscount.Value).ToString())%</span></div>
                }
            }

            @if (Model.Product.CustomerOldPrice.HasValue)
            {
                var number = (Model.Product.CustomerOldPrice.Value - Model.Product.CustomerPrice) / Model.Product.CustomerOldPrice.Value * 100;
                var percentage = Math.Round((decimal.ToDouble(number)), MidpointRounding.AwayFromZero).ToString();

                <div class="ribbon red">
                    <span>@percentage% OFF</span>
                </div>
            }

            @if (Model.Product.IsNew)
            {
                <div class="ribbon blue"><span>Nuevo!</span></div>
            }

            <div class="product-item-holder size-big single-product-gallery small-gallery">

                <div id="owl-single-product">
                    
                    @{int counter = 1;}
                    @foreach (var image in Model.Product.Images)
                    {
                        <div class="single-product-gallery-item" id="slide-@counter">

                                <img id="image-@(counter-1)"  class="elevatedZoom img-responsive" alt="" src="/content/assets/images/blank.gif" data-echo="@string.Format("{0}/products/{1}/{2}", Utility.ImgUrl, Model.Product.ProductId, image.ImageName)" 
                                     data-zoom-image="@string.Format("{0}/products/{1}/{2}", Utility.ImgUrl, Model.Product.ProductId, image.ImageName)" />
                        </div>
                        counter++;
                    }

                </div>

                <div class="single-product-gallery-thumbs gallery-thumbs">
                    <div id="owl-single-product-thumbnails">

                        @{counter = 1;}
                        @foreach (var image in Model.Product.Images)
                        {
                            <a class="horizontal-thumb @(counter == 1 ? "active" : string.Empty)" data-target="#owl-single-product" data-slide="@(counter-1)" href="#slide-@counter" data-color-image="@image.ColorId">
                                <img id="img@(counter)" alt="" src="/content/assets/images/blank.gif" data-echo="@string.Format("{0}/products/{1}/{2}", Utility.ImgUrl, Model.Product.ProductId, image.ImageName)" />
                            </a>
                            counter++;
                        }

                    </div>

                    <div class="nav-holder left hidden-xs">
                        <a class="prev-btn slider-prev" data-target="#owl-single-product-thumbnails" href="#prev"></a>
                    </div>

                    <div class="nav-holder right hidden-xs">
                        <a class="next-btn slider-next" data-target="#owl-single-product-thumbnails" href="#next"></a>
                    </div>

                </div>
            </div>

        </div>
        <div class="no-margin col-xs-12 col-sm-7 body-holder">
            <div class="body">
                
                <div class="availability"><div class="title">@Model.Product.Title</div><span class="product-code">COD: @Model.Product.Code</span></div>
                

                <div class="prices">
                    
                    @if (Model.Product.CustomerOldPrice.HasValue)
                    {
                        <div class="price-prev">$@Model.Product.CustomerOldPrice.Value</div>
                    }
                    <div class="price-current">@(Model.Product.CustomerOldPrice.HasValue ? " / " : string.Empty) $@Model.Product.CustomerPrice</div>

                    @*@if (Model.ActiveCoupon != null)
                    {
                        var percentage = Model.Product.MaxDiscount.HasValue && Model.Product.MaxDiscount.Value < Model.ActiveCoupon.Percentage ? Model.Product.MaxDiscount.Value : Model.ActiveCoupon.Percentage;
                        var value = Model.Product.CustomerPrice  * (Convert.ToDecimal(100 - percentage) / Convert.ToDecimal(100));

                        <div class="price-current" style="text-decoration:line-through">$@Model.Product.CustomerPrice</div>
                        <div class="price-prev" style="text-decoration:none">$ @(value.ToString("N")) <span style="font-size:14px;">(con tu cupón de descuento)</span></div>
                    }
                    else
                    {
                        <div class="price-prev">@(Model.Product.CustomerOldPrice.HasValue ? "$ " + Model.Product.CustomerOldPrice.Value : string.Empty)</div>
                        <div class="price-current">@(Model.Product.CustomerOldPrice.HasValue ? " -" : string.Empty) $ @Model.Product.CustomerPrice</div>
                    }*@

                </div>

                <div class="excerpt">
                    <h1 style="white-space: pre-line;">@Model.Product.Description</h1>
                </div>

                <div class="product-color">
                    <h6>Seleccioná color</h6>
                    <ul>
                        @foreach (var color in Model.ProductColors)
                        {
                            <li>
                                <a id="color-@color.ColorId" href="javascript:loadSizes(this,'@color.ColorId','@Model.Product.ProductId','@color.Description');" onclick="javascript:fChangeImageAndColor(undefined,@color.ColorId)" class="aColor" title="@color.Description"><img class="colorSelector @(color.Description=="Blanco" ? "colorSelector-white" : string.Empty)" src="@Model.BackOfficeUrl/Colors/@color.ColorId.ToString()/@color.ColorThumb" alt="@color.Description" title="@color.Description" onclick="javascript:loadSizes(this,'@color.ColorId','@Model.Product.ProductId','@color.Description');" style="cursor:pointer;" width="20" height="20" /></a>
                            </li>
                        }
                    </ul>
                </div>

                <div class="clearfix"></div>

                <div class="product-size">
                    <h6>Talles</h6>
                    <ul id="sizeContainer"></ul>
                </div>

                <div class="clearfix"></div>

                <div class="size-guide">
                    <a href="/Content/assets/images/tabla_talles.jpg" id="open-size-guide">Guia de talles</a>
                </div>

                <div class="qnt-holder">
                    <div class="le-quantity">
                        <form>
                            <a class="minus" href="#reduce"></a>
                            <input id="productQuantity" name="quantity" type="text" value="1">
                            <a class="plus" href="#add"></a>
                        </form>
                    </div>
                    <a id="addto-cart" href="#" class="le-button huge">COMPRAR</a>
                </div>
                
                <div class="payments">
                    <a href="https://www.mercadopago.com.ar/cuotas" target="_blank">
                        <img src="https://imgmp.mlstatic.com/org-img/banners/ar/medios/online/575X40.jpg" title="MercadoPago - Medios de pago" alt="MercadoPago - Medios de pago" width="575" height="40">
                    </a>
                    <img src="/Content/assets/images/todo-pago.png" title="Todo PAgo - 12 cuotas sin interés" alt="Todo Pago - 12 cuotas sin interés" style="margin-top:15px;">
                </div>

                <input id="SizeId" type="hidden" value="" name="SizeId">
                <input id="ColorId" type="hidden" value="" name="ColorId">
            </div>

        </div>
    </div>
</div>

<section id="recently-reviewd" class="wow fadeInUp">
    <div class="container">
        <div class="carousel-holder hover">

            <div class="title-nav">
                <h2 class="h1">Productos Relacionados</h2>
                <div class="nav-holder">
                    <a href="#prev" data-target="#owl-recently-viewed" class="slider-prev btn-prev fa fa-angle-left"></a>
                    <a href="#next" data-target="#owl-recently-viewed" class="slider-next btn-next fa fa-angle-right"></a>
                </div>
            </div>

            <div id="owl-recently-viewed" class="owl-carousel product-grid-holder">
                @{Html.RenderAction("RenderRelatedProducts", "Catalogo", new { productId = Model.Product.ProductId,categoryId = Model.Product.CategoryId });} 
            </div>

        </div>
    </div>
</section>

<!-- Validation Modal -->
<div id="validationAlert" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Atención</h4>
            </div>
            <div class="modal-body">
                <p id="mensajeValidacion"></p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>


@section Scripts
{
    <script>
      fbq('track', 'ViewContent');
    </script>

    <script src="/Content/assets/js/jquery.colorbox.js"></script>
    <link href="/Content/assets/css/colorbox.css" rel="stylesheet" />
    <link rel="stylesheet" href="/content/assets/css/owl.carousel.css">
    <link rel="stylesheet" href="/content/assets/css/owl.transitions.css">
    <link rel="stylesheet" href="/content/assets/css/animate.min.css">
    <script src="/Scripts/jquery.elevatezoom.js"></script>


    <script type="text/javascript">

        var isMobile = /Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent) ? true : false;

        $(document).ready(function ()
        {
            $("#open-size-guide").colorbox({ transition: "none", height: "100%", title: false, opacity: 0.65, slideshow: false, current: function () { return $(this).parent().next().text() } });

            var owl = $('#owl-single-product').owlCarousel({
                singleItem: true,
                pagination: false,

                beforeMove: function (elem) {
                    var index = this.currentItem;
                    var image = $("#image-" + index);

                    $.removeData(image, 'elevateZoom');
                    $('.zoomContainer').remove();
                },
                afterMove: function (elem) {
                    var index = this.currentItem;
                    var image = $("#image-" + index);

                    var oldImage = $(".elevatedZoom");
                    $.removeData(oldImage, 'elevateZoom');
                    $('.zoomContainer').remove();

                    if (!isMobile)
                    {
                        $(image).elevateZoom({
                            zoomWindowFadeIn: 500,
                            zoomWindowFadeOut: 500
                        });
                    }
                }
            });

            if (!isMobile)
            {
                $("#image-0").elevateZoom({
                    zoomWindowFadeIn: 500,
                    zoomWindowFadeOut: 500
                });
            }
            
            if ($(".colorSelector").length > 0)
            {
                $($(".colorSelector")[0]).click();
                $($(".colorSelector")[0]).addClass("active");
            }
            if ($("#currentColor").val() != 0)
            {
                $("#color-" + $("#currentColor").val() +" img").click();
            }

            $('#addto-cart').click(function (e)
            {
                e.preventDefault();

                $.ajax({
                    url: "@Url.Action("Validate", "ShoppingCart")",
                    dataType: "json",
                    data: { idProducto: "@Model.Product.ProductId", SizeId: $("#SizeId").val(), ColorId: $("#ColorId").val(), cantidad: $("#productQuantity").val() },
                    success: function (data) {
                        if (!data.IsApproved) {
                            $('#mensajeValidacion').text(data.Message);
                            $('#validationAlert').modal({ show: false });
                            $('#validationAlert').modal('show');
                        }

                        if (data.IsApproved) {
                            var specialPrice = parseFloat($("#SpecialPrice").val().replace(",", ".")).toFixed(2);

                            if (specialPrice == '' || specialPrice == 0) {
                                specialPrice = null;
                            }

                            var sizeId = $("#SizeId").val();
                            var colorId = $("#ColorId").val();
                            $.ajax({
                                url: "@Url.Action("AddOrderDetail", "ShoppingCart")",
                                dataType: "json",
                                data: { idProducto: "@Model.Product.ProductId", SizeId: sizeId, ColorId: colorId, cantidad: $("#productQuantity").val(), specialPrice: specialPrice, sumar: true },
                                success: function (result) {
                                    updateCart(result.TotalItemsCount, result.TotalOrderDetails, result.OrderDetails);
                                    toastr.success("Hecho! Agregaste el producto a tu compra.");
                                }
                            });
                        }
                    }
                });
            });
        });

        function loadSizes(lnk, ColorId, ProductId, codeColor)
        {

            $($(".colorSelector")).removeClass("active");
            $(lnk).addClass("active");

            $("#ColorId").val(ColorId);

            $.get("/Catalogo/ProductSize", { "ColorId": ColorId, "ProductId": ProductId }, function (html)
            {
                $("#sizeContainer").html("");
                $("#sizeContainer").html(html);
            });
        }

        function selectSize(size, SizeId)
        {
            if ($(".sizeSelector." + SizeId).length > 0)
            {
                var lnk = $(".sizeSelector." + SizeId);

                $(".sizeSelector").removeClass("active-size");
                lnk.addClass("active-size");

                //DRP_SKU_2 --> hidden que guarda el talle seleccionado
                $("#DRP_SKU_2").val(size);
                $("#SizeId").val(SizeId);
            }
        }

        function selectColor(colorId)
        {
            var a = $("#color-" + colorId);
            if (a !== undefined && a.length > 0)
            {
                $(".aColor").removeClass("active-color");
                a.addClass("active-color");
                $(".active-color-name").text(a.children().attr('alt'));
                $("#ColorId").val(colorId)
            }
        }

        function fChangeImageAndColor(num,color_Id)
        {
            debugger;
            if (num !== undefined)
            {
                color_Id = $("#img" + num).parent().attr('data-color-image');
                selectColor(color_Id);
                var slideNumber = $(".horizontal-thumb[data-color-image=" + color_Id + "]").attr('data-slide')
                $('#owl-single-product').trigger('owl.goTo', slideNumber)
            }
            else
            {
                if(color_Id != undefined)
                {
                    selectColor(color_Id);
                    var slideNumber = $(".horizontal-thumb[data-color-image=" + color_Id + "]").attr('data-slide')
                    $('#owl-single-product').trigger('owl.goTo', slideNumber)                    
                    $(".horizontal-thumb.active").removeClass('active');
                    $(".horizontal-thumb[data-color-image=" + color_Id + "]").first().addClass('active');
                }
            }
        }

        $(".horizontal-thumb").click(function () {
            var colorId = $(this).data("color-image");
            selectColor(colorId);
        });
    </script>
}
